Subject: Re: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Stephen Leake <[email-masked]>
Date: Fri, 20 Nov 2015 04:41:49 -0600

"John Wiegley" <[email-masked]> writes:

>>>>>> Dmitry Gutov <[email-masked]> writes:
>
>> I can get behind taking care of "correctness" warnings, but if we lose the
>> obsolete functions warnings, we risk forgetting to take care of their
>> causes.
>> 
>> And it's not like we can actually fix all instances of obsolete usages
>> before the current release: a significant part of the warnings comes from
>> gnus, org, cc-mode and calendar, all of which, I'm assuming, have to support
>> older Emacsen.
>
> If that's the case, I'm willing to filter those from the final count before
> closing this issue. Then, in 25.2, we can focus on eliminating those as well.
>
>> We _should_ be able to take care of CEDET warnings, but probably after their
>> development migrates here.
>
> That's good to hear; but can that happen for 25.1? 

It must; some of CEDET is broken right now.

> CEDET is rather egregious
> in the warnings category right now. If that means suppressing warnings
> throughout CEDET for this release, I'm OK with that as a temporary
> measure.

No, some of those warnings are bugs. I've fixed a few, but I have not
fixed them all; I'm waiting for the merge. 

-- 
-- Stephe